Brynhildr

KeroRemote

リモートデスクトップエンジニアのブログ。

謝罪。
えー、iOS版Orthrosですが、iTunesには対応バージョンに「iOS 4.3以降」となっておりますが、どうやら「iOS 5.0以降」で無いと正常に起動できない模様です。

本当に申し訳御座いませんでした。

バージョンアップを既に申請したおりましたが、一旦取り下げ修正したモジュールを再申請中で御座いますので暫く御待ち下さい。

原因はインジケーターの色を状態によって変化させる処理がiOS5.0以降で無いと動かないという事で御座いました。iOS4.3互換のシミュレータでは正常に起動していた為に油断しておりました。何故動いたんですかね・・・。

調べてみますとSHSHを保存しておかないとバージョンダウンは出来んよ、とかゆー状況でして、手元にあるiOSのデバイスのバージョンは一番古くて5.0とゆーかなりヤヴァイ状況で御座いまして、SHSHって何ですか?ってなトコからスタートとゆーかなりピンチの状況でした。が、何とか出来るもんですね。SHSH無しでiOS5.0からiOS4.3に何とか見事にバージョンダウンできました。開発環境だから上手くいったんですかね。もう1回できる自信ありませんけど。ちなみにバージョンダウンってiOSのライセンス的にどーなんすかね?

で、手元のiOSデバイスをiOS4.3にしてデバッグするとインジケーターの部分でおかしな感じになっていた事を突き止めたとゆー次第で御座います。デバッグの為にiOS4.3の入った端末を買ってやろうかとゆーとこでしたけど何とかなってよかったです。暫くとゆーか恐らくこの端末はバージョンアップせずに大切に利用します。途中の復元で完全に屑鉄になったかもしれんとか思ってましたけど元(?)に戻ってホント良かったです、解約済みのiPhone3GS・・・(ノД`)




コメントはまだありません ... ( 管理人承認制 )





... 不具合報告の際は、アプリのバージョンやOS等の動作環境の記載を御願い致します。

表記されている会社名・製品名・システム名などは、各社の商標、または登録商標です。
当サイトはAmazon.co.jpアソシエイトプログラムに参加しています。
© 2010 IchiGeki